## Best practices

### Do

- **Give people a choice.**
  Make sure to give people the option to not make a choice. For example, include a "None" option if no answer is required.

- **Choose a default.**
  Select the safest, most secure, and private option as the default. If safety and security aren't factors, select the most likely or convenient option.

- **Keep labels short and action-oriented.**
  Use a phrase for the label, rather than a full sentence.

- **Use sentence case.**
  Capitalize only the first word as you would in a sentence.

- **Place most likely choices first.**
  List the options in a logical order, such as most likely to be selected to least, simplest operation to most complex, or least risk to most. Listing options in alphabetical order isn't recommended because the order will change when the text is localized.

### Don't

- **Include more than 5 options.**
  Use RadioGroup when there are 2-5 options, and you have enough screen space and the options are important enough to be a good use of that screen space. Otherwise, use Dropdown.
