export { getSlots, resolveShorthand } from './compose/index';
export type {
  AsIntrinsicElement,
  ComponentProps,
  ComponentState,
  ExtractSlotProps,
  ForwardRefComponent,
  IsSingleton,
  PropsWithoutRef,
  ReplaceNullWithUndefined,
  ResolveShorthandFunction,
  ResolveShorthandOptions,
  Slot,
  Slots,
  SlotClassNames,
  SlotPropsRecord,
  SlotRenderFunction,
  SlotShorthandValue,
  UnionToIntersection,
  UnknownSlotProps,
} from './compose/index';

export {
  resetIdsForTests,
  useBoolean,
  useConst,
  useControllableState,
  useEventCallback,
  useFirstMount,
  useForceUpdate,
  useId,
  useIsomorphicLayoutEffect,
  useMergedEventCallbacks,
  useMergedRefs,
  useMount,
  useOnClickOutside,
  useOnScrollOutside,
  usePrevious,
  useTimeout,
  useUnmount,
} from './hooks/index';
export type {
  RefObjectFunction,
  UseBooleanCallbacks,
  UseControllableStateOptions,
  UseOnClickOrScrollOutsideOptions,
} from './hooks/index';

export { canUseDOM, defaultSSRContextValue, useIsSSR, useSSRContext, SSRContext, SSRProvider } from './ssr/index';
export type { SSRContextValue } from './ssr/index';

export {
  anchorProperties,
  applyTriggerPropsToChildren,
  audioProperties,
  baseElementEvents,
  baseElementProperties,
  buttonProperties,
  clamp,
  colGroupProperties,
  colProperties,
  divProperties,
  fieldsetProperties,
  formProperties,
  getNativeElementProps,
  getNativeProps,
  getPartitionedNativeProps,
  getRTLSafeKey,
  getTriggerChild,
  htmlElementProperties,
  iframeProperties,
  // eslint-disable-next-line deprecation/deprecation
  imageProperties,
  imgProperties,
  inputProperties,
  isFluentTrigger,
  labelProperties,
  liProperties,
  olProperties,
  omit,
  optionProperties,
  selectProperties,
  shouldPreventDefaultOnKeyDown,
  tableProperties,
  tdProperties,
  textAreaProperties,
  thProperties,
  trProperties,
  videoProperties,
} from './utils/index';
export type { FluentTriggerComponent } from './utils/index';
